<template>
  <v-navigation-drawer
    color="grey-lighten-4"
    :model-value="props.modelValue"
    @update:model-value="(v: boolean) => emit('update:modelValue', v)"
  >
    <LeftNavigatorPageList />
  </v-navigation-drawer>
</template>

<script setup lang="ts">
interface Props {
  modelValue: boolean | null;
}

const props = defineProps<Props>();
const emit = defineEmits<{
  (e: "update:modelValue", value?: boolean | null): void;
}>();
</script>
